diff -Naur dracut-059/dracut-init.sh dracut-059-busybox/dracut-init.sh
--- dracut-059/dracut-init.sh	2022-12-24 17:49:27.000000000 +0100
+++ dracut-059-busybox/dracut-init.sh	2023-07-28 10:10:36.579594976 +0200
@@ -20,9 +20,9 @@
 export LC_MESSAGES=C
 
 if [[ $EUID == "0" ]] && ! [[ $DRACUT_NO_XATTR ]]; then
-    export DRACUT_CP="cp --reflink=auto --sparse=auto --preserve=mode,timestamps,xattr,links -dfr"
+    export DRACUT_CP="cp -dfrp"
 else
-    export DRACUT_CP="cp --reflink=auto --sparse=auto --preserve=mode,timestamps,links -dfr"
+    export DRACUT_CP="cp -dfrp"
 fi
 
 # is_func <command>
@@ -1167,7 +1167,7 @@
     return $_ret
 }
 
-if [[ "$(ln --help)" == *--relative* ]]; then
+if [[ "$(ln --help &> /dev/null)" == *--relative* ]]; then
     ln_r() {
         ln -sfnr "${initdir}/$1" "${initdir}/$2"
     }
diff -Naur dracut-059/dracut.sh dracut-059-busybox/dracut.sh
--- dracut-059/dracut.sh	2022-12-24 17:49:27.000000000 +0100
+++ dracut-059-busybox/dracut.sh	2023-07-28 10:49:16.847062633 +0200
@@ -343,7 +343,7 @@
                 printf "%s\n" "${i##*/}"
             fi
         done
-    done | sort -Vu | {
+    done | sort -u | {
         readarray -t files
 
         for f in "${files[@]}"; do
@@ -1227,7 +1227,7 @@
 fi
 
 # shellcheck disable=SC2155
-readonly TMPDIR="$(realpath -e "$tmpdir")"
+readonly TMPDIR="$(realpath "$tmpdir")"
 [ -d "$TMPDIR" ] || {
     printf "%s\n" "dracut: Invalid tmpdir '$tmpdir'." >&2
     exit 1
@@ -1254,7 +1254,7 @@
     ret=$?;
     [[ $keep ]] && echo "Not removing $DRACUT_TMPDIR." >&2 || { [[ $DRACUT_TMPDIR ]] && rm -rf -- "$DRACUT_TMPDIR"; };
     if [[ ${FSFROZEN} ]]; then
-      fsfreeze -u "${FSFROZEN}"
+      fsfreeze --unfreeze "${FSFROZEN}"
     fi
     exit $ret;
     ' EXIT
@@ -2216,11 +2216,12 @@
                     if ! [[ -e $object_destdir ]]; then
                         # shellcheck disable=SC2174
                         mkdir -m 0755 -p "$object_destdir"
-                        chmod --reference="$objectname" "$object_destdir"
+                        chmod $(stat -c %a "$objectname") "$object_destdir"
                     fi
-                    $DRACUT_CP -t "$object_destdir" "$dracutsysrootdir$objectname"/.
+                    $DRACUT_CP "$dracutsysrootdir$objectname"/. "$object_destdir"
+
                 else
-                    $DRACUT_CP -t "$destdir" "$dracutsysrootdir$objectname"
+                    $DRACUT_CP "$dracutsysrootdir$objectname" "$destdir" 
                 fi
             done
             eval "$reset_dotglob"
@@ -2653,7 +2654,7 @@
                 exit 1
             fi
         else
-            if cp --reflink=auto "${uefi_outdir}/linux.efi" "$outfile"; then
+            if cp "${uefi_outdir}/linux.efi" "$outfile"; then
                 dinfo "*** Creating UEFI image file '$outfile' done ***"
             fi
         fi
@@ -2663,7 +2664,7 @@
         exit 1
     fi
 else
-    if cp --reflink=auto "${DRACUT_TMPDIR}/initramfs.img" "$outfile"; then
+    if cp "${DRACUT_TMPDIR}/initramfs.img" "$outfile"; then
         dinfo "*** Creating initramfs image file '$outfile' done ***"
     else
         rm -f -- "$outfile"
@@ -2726,7 +2727,7 @@
     # use fsfreeze only if we're not writing to /
     if [[ "$(stat -c %m -- "$outfile")" != "/" ]] && freeze_ok_for_fstype "$outfile"; then
         FSFROZEN="$(dirname "$outfile")"
-        if ! (fsfreeze -f "${FSFROZEN}" 2> /dev/null && fsfreeze -u "${FSFROZEN}" 2> /dev/null); then
+        if ! (fsfreeze --freeze "${FSFROZEN}" 2> /dev/null && fsfreeze --unfreeze "${FSFROZEN}" 2> /dev/null); then
             dwarn "Could not fsfreeze $(dirname "$outfile")"
         fi
         unset FSFROZEN
diff -Naur dracut-059/install.d/50-dracut.install dracut-059-busybox/install.d/50-dracut.install
--- dracut-059/install.d/50-dracut.install	2022-12-24 17:49:27.000000000 +0100
+++ dracut-059-busybox/install.d/50-dracut.install	2023-07-28 08:54:07.290756944 +0200
@@ -25,7 +25,7 @@
         if [[ -f ${INITRD_IMAGE_PREGENERATED} ]]; then
             # we found an initrd at the same place as the kernel
             # use this and don't generate a new one
-            cp --reflink=auto "$INITRD_IMAGE_PREGENERATED" "$BOOT_DIR_ABS/$INITRD" \
+            cp "$INITRD_IMAGE_PREGENERATED" "$BOOT_DIR_ABS/$INITRD" \
                 && chown root:root "$BOOT_DIR_ABS/$INITRD" \
                 && chmod 0600 "$BOOT_DIR_ABS/$INITRD" \
                 && exit 0
diff -Naur dracut-059/install.d/51-dracut-rescue.install dracut-059-busybox/install.d/51-dracut-rescue.install
--- dracut-059/install.d/51-dracut-rescue.install	2022-12-24 17:49:27.000000000 +0100
+++ dracut-059-busybox/install.d/51-dracut-rescue.install	2023-07-28 10:09:25.388366518 +0200
@@ -18,7 +18,7 @@
                 [[ -f $i ]] && echo "${i##*/}"
             done
             shift
-        done | sort -Vu
+        done | sort -u
     )
 
     for f in $files; do
@@ -91,7 +91,7 @@
 
         [[ -d "$BOOT_DIR_ABS" ]] || mkdir -p "$BOOT_DIR_ABS"
 
-        if ! cp --reflink=auto "$KERNEL_IMAGE" "$BOOT_DIR_ABS/$KERNEL"; then
+        if ! cp "$KERNEL_IMAGE" "$BOOT_DIR_ABS/$KERNEL"; then
             echo "Can't copy '$KERNEL_IMAGE to '$BOOT_DIR_ABS/$KERNEL'!" >&2
         fi
 
diff -Naur dracut-059/Makefile dracut-059-busybox/Makefile
--- dracut-059/Makefile	2022-12-24 17:49:27.000000000 +0100
+++ dracut-059-busybox/Makefile	2023-07-28 10:21:13.264146283 +0200
@@ -168,7 +168,7 @@
 	ln -fs dracut-functions.sh $(DESTDIR)$(pkglibdir)/dracut-functions
 	install -m 0755 dracut-logger.sh $(DESTDIR)$(pkglibdir)/dracut-logger.sh
 	install -m 0755 dracut-initramfs-restore.sh $(DESTDIR)$(pkglibdir)/dracut-initramfs-restore
-	cp -arx modules.d $(DESTDIR)$(pkglibdir)
+	cp -ar modules.d $(DESTDIR)$(pkglibdir)
 ifneq ($(enable_documentation),no)
 	for i in $(man1pages); do install -m 0644 $$i $(DESTDIR)$(mandir)/man1/$${i##*/}; done
 	for i in $(man5pages); do install -m 0644 $$i $(DESTDIR)$(mandir)/man5/$${i##*/}; done
diff -Naur dracut-059/modules.d/10i18n/module-setup.sh dracut-059-busybox/modules.d/10i18n/module-setup.sh
--- dracut-059/modules.d/10i18n/module-setup.sh	2022-12-24 17:49:27.000000000 +0100
+++ dracut-059-busybox/modules.d/10i18n/module-setup.sh	2023-07-28 10:22:10.381843073 +0200
@@ -141,7 +141,7 @@
 
         for _src in "${KBDSUBDIRS[@]}"; do
             inst_dir "${kbddir}/$_src"
-            $DRACUT_CP -L -t "${initdir}/${kbddir}/$_src" "${dracutsysrootdir}${kbddir}/$_src"/*
+            $DRACUT_CP -L "${initdir}/${kbddir}/$_src" "${dracutsysrootdir}${kbddir}/$_src"/*
         done
 
         # remove unnecessary files
diff -Naur dracut-059/modules.d/30convertfs/convertfs.sh dracut-059-busybox/modules.d/30convertfs/convertfs.sh
--- dracut-059/modules.d/30convertfs/convertfs.sh	2022-12-24 17:49:27.000000000 +0100
+++ dracut-059-busybox/modules.d/30convertfs/convertfs.sh	2023-07-28 10:23:08.902894291 +0200
@@ -110,11 +110,11 @@
     [[ -d "$ROOT/$dir" ]] || continue
     echo "Make a copy of \`$ROOT/usr/$dir'."
     [[ -d "$ROOT/usr/$dir" ]] \
-        && cp -ax -l "$ROOT/usr/$dir" "$ROOT/usr/${dir}.usrmove-new"
+        && cp -a -l "$ROOT/usr/$dir" "$ROOT/usr/${dir}.usrmove-new"
     echo "Merge the copy with \`$ROOT/$dir'."
     [[ -d "$ROOT/usr/${dir}.usrmove-new" ]] \
         || mkdir -p "$ROOT/usr/${dir}.usrmove-new"
-    cp -axT $CP_HARDLINK --backup --suffix=.usrmove~ "$ROOT/$dir" "$ROOT/usr/${dir}.usrmove-new"
+    cp -aT $CP_HARDLINK --backup --suffix=.usrmove~ "$ROOT/$dir" "$ROOT/usr/${dir}.usrmove-new"
     echo "Clean up duplicates in \`$ROOT/usr/$dir'."
     # delete all symlinks that have been backed up
     find "$ROOT/usr/${dir}.usrmove-new" -type l -name '*.usrmove~' -delete || :
diff -Naur dracut-059/modules.d/45url-lib/module-setup.sh dracut-059-busybox/modules.d/45url-lib/module-setup.sh
--- dracut-059/modules.d/45url-lib/module-setup.sh	2022-12-24 17:49:27.000000000 +0100
+++ dracut-059-busybox/modules.d/45url-lib/module-setup.sh	2023-07-28 10:25:36.055521769 +0200
@@ -32,9 +32,9 @@
         for _lib in "$dracutsysrootdir$_dir"/libcurl.so.* "$dracutsysrootdir$_dir"/libcrypto.so.*; do
             [[ -e $_lib ]] || continue
             if ! [[ $_nssckbi ]]; then
-                read -r -d '' _nssckbi < <(grep -F --binary-files=text -z libnssckbi "$_lib")
+                read -r -d '' _nssckbi < <(grep -F libnssckbi "$_lib")
             fi
-            read -r -d '' _crt < <(grep -E --binary-files=text -z "\.(pem|crt)" "$_lib" | sed 's/\x0//g')
+            read -r -d '' _crt < <(grep -E "\.(pem|crt)" "$_lib" | sed 's/\x0//g')
             [[ $_crt ]] || continue
             [[ $_crt == /*/* ]] || continue
             if [[ -e $_crt ]]; then
@@ -62,7 +62,7 @@
         for _dir in $libdirs; do
             [[ -e $dracutsysrootdir$_dir/libnssckbi.so ]] || continue
             # this looks for directory-ish strings in the file
-            grep -z -o --binary-files=text '/[[:alpha:]][[:print:]]*' "${dracutsysrootdir}${_dir}"/libnssckbi.so \
+            grep -o '/[[:alpha:]][[:print:]]*' "${dracutsysrootdir}${_dir}"/libnssckbi.so \
                 | while read -r -d '' _p11roots || [[ $_p11roots ]]; do
                     IFS=":" read -r -a _p11roots <<< "$_p11roots"
                     # the string can be a :-separated list of dirs
@@ -77,7 +77,7 @@
                         # so now we know it's really a p11-kit trust dir;
                         # install everything in it
                         mkdir -p -- "${initdir}/${_p11root}"
-                        if ! $DRACUT_CP -L -t "${initdir}/${_p11root}" "${dracutsysrootdir}${_p11root}"/*; then
+                        if ! $DRACUT_CP -L "${initdir}/${_p11root}" "${dracutsysrootdir}${_p11root}"/*; then
                             dwarn "Couldn't install from p11-kit trust dir '${_p11root#$dracutsysrootdir}'; HTTPS might not work."
                         fi
                     done
diff -Naur dracut-059/modules.d/90kernel-modules-extra/module-setup.sh dracut-059-busybox/modules.d/90kernel-modules-extra/module-setup.sh
--- dracut-059/modules.d/90kernel-modules-extra/module-setup.sh	2022-12-24 17:49:27.000000000 +0100
+++ dracut-059-busybox/modules.d/90kernel-modules-extra/module-setup.sh	2023-07-28 10:14:03.196492119 +0200
@@ -178,7 +178,7 @@
         | tr -d ':' \
         | (
             cd "$depmod_module_dir" || exit
-            xargs -r realpath -se --
+            xargs -r realpath --
         ) \
         | instmods || return 1
 
diff -Naur dracut-059/modules.d/95terminfo/module-setup.sh dracut-059-busybox/modules.d/95terminfo/module-setup.sh
--- dracut-059/modules.d/95terminfo/module-setup.sh	2022-12-24 17:49:27.000000000 +0100
+++ dracut-059-busybox/modules.d/95terminfo/module-setup.sh	2023-07-28 10:21:55.874915175 +0200
@@ -11,7 +11,7 @@
     if [[ -d $dracutsysrootdir${_terminfodir} ]]; then
         for i in "l/linux" "v/vt100" "v/vt102" "v/vt220"; do
             inst_dir "$_terminfodir/${i%/*}"
-            $DRACUT_CP -L -t "${initdir}/${_terminfodir}/${i%/*}" "$dracutsysrootdir$_terminfodir/$i"
+            $DRACUT_CP -L "${initdir}/${_terminfodir}/${i%/*}" "$dracutsysrootdir$_terminfodir/$i"
         done
     fi
 }
diff -Naur dracut-059/modules.d/99base/dracut-lib.sh dracut-059-busybox/modules.d/99base/dracut-lib.sh
--- dracut-059/modules.d/99base/dracut-lib.sh	2022-12-24 17:49:27.000000000 +0100
+++ dracut-059-busybox/modules.d/99base/dracut-lib.sh	2023-07-28 10:37:33.264805685 +0200
@@ -645,7 +645,7 @@
     dest=$(readlink -e -q "$dest") || return 1
     (
         cd "$src" || exit 1
-        cp -af . -t "$dest"
+        cp -af . "$dest"
     )
 }
 
diff -Naur dracut-059/src/install/dracut-install.c dracut-059-busybox/src/install/dracut-install.c
--- dracut-059/src/install/dracut-install.c	2022-12-24 17:49:27.000000000 +0100
+++ dracut-059-busybox/src/install/dracut-install.c	2023-07-28 08:56:43.416757905 +0200
@@ -332,7 +332,7 @@
         const char *preservation = (geteuid() == 0
                                     && no_xattr == false) ? "--preserve=mode,xattr,timestamps,ownership" : "--preserve=mode,timestamps,ownership";
         if (pid == 0) {
-                execlp("cp", "cp", "--reflink=auto", "--sparse=auto", preservation, "-fL", src, dst, NULL);
+                execlp("cp", "cp", "-pfL", src, dst, NULL);
                 _exit(errno == ENOENT ? 127 : 126);
         }
 
@@ -344,7 +344,7 @@
         }
         ret = WIFSIGNALED(ret) ? 128 + WTERMSIG(ret) : WEXITSTATUS(ret);
         if (ret != 0)
-                log_error("ERROR: 'cp --reflink=auto --sparse=auto %s -fL %s %s' failed with %d", preservation, src, dst, ret);
+                log_error("ERROR: 'cp %s -pfL %s %s' failed with %d", preservation, src, dst, ret);
         log_debug("cp ret = %d", ret);
         return ret;
 }
diff -Naur dracut-059/test/TEST-01-BASIC/create-root.sh dracut-059-busybox/test/TEST-01-BASIC/create-root.sh
--- dracut-059/test/TEST-01-BASIC/create-root.sh	2022-12-24 17:49:27.000000000 +0100
+++ dracut-059-busybox/test/TEST-01-BASIC/create-root.sh	2023-07-28 10:42:40.336828493 +0200
@@ -15,7 +15,7 @@
 mkfs.ext3 -L '  rdinit=/bin/sh' /dev/disk/by-id/ata-disk_root
 mkdir -p /root
 mount /dev/disk/by-id/ata-disk_root /root
-cp -a -t /root /source/*
+cp -a /source/* /root
 mkdir -p /root/run
 umount /root
 echo "dracut-root-block-created" | dd oflag=direct,dsync of=/dev/disk/by-id/ata-disk_marker
diff -Naur dracut-059/test/TEST-01-BASIC/test.sh dracut-059-busybox/test/TEST-01-BASIC/test.sh
--- dracut-059/test/TEST-01-BASIC/test.sh	2022-12-24 17:49:27.000000000 +0100
+++ dracut-059-busybox/test/TEST-01-BASIC/test.sh	2023-07-28 10:35:07.372254772 +0200
@@ -20,7 +20,7 @@
         -append "panic=1 oops=panic softlockup_panic=1 systemd.crash_reboot \"root=LABEL=  rdinit=/bin/sh\" rw systemd.log_level=debug systemd.log_target=console rd.retry=3 rd.debug console=ttyS0,115200n81 rd.shell=0 $DEBUGFAIL" \
         -initrd "$TESTDIR"/initramfs.testing || return 1
 
-    grep -U --binary-files=binary -F -m 1 -q dracut-root-block-success "$TESTDIR"/marker.img
+    grep -F -m 1 -q dracut-root-block-success "$TESTDIR"/marker.img
 }
 
 test_setup() {
@@ -60,7 +60,7 @@
         "${disk_args[@]}" \
         -append "root=/dev/dracut/root rw rootfstype=ext3 quiet console=ttyS0,115200n81 selinux=0" \
         -initrd "$TESTDIR"/initramfs.makeroot || return 1
-    grep -U --binary-files=binary -F -m 1 -q dracut-root-block-created "$TESTDIR"/marker.img || return 1
+    grep -F -m 1 -q dracut-root-block-created "$TESTDIR"/marker.img || return 1
     rm -- "$TESTDIR"/marker.img
 
     # make sure --omit-drivers does not filter out drivers using regexp to test for an earlier regression (assuming there is no one letter linux kernel module needed to run the test)
diff -Naur dracut-059/test/TEST-02-SYSTEMD/create-root.sh dracut-059-busybox/test/TEST-02-SYSTEMD/create-root.sh
--- dracut-059/test/TEST-02-SYSTEMD/create-root.sh	2022-12-24 17:49:27.000000000 +0100
+++ dracut-059-busybox/test/TEST-02-SYSTEMD/create-root.sh	2023-07-28 10:39:41.883717589 +0200
@@ -14,7 +14,7 @@
 mkfs.ext3 -L dracut /dev/disk/by-id/ata-disk_root
 mkdir -p /root
 mount /dev/disk/by-id/ata-disk_root /root
-cp -a -t /root /source/*
+cp -a /source/* /root
 mkdir -p /root/run
 umount /root
 echo "dracut-root-block-created" | dd oflag=direct,dsync of=/dev/disk/by-id/ata-disk_marker
diff -Naur dracut-059/test/TEST-02-SYSTEMD/test.sh dracut-059-busybox/test/TEST-02-SYSTEMD/test.sh
--- dracut-059/test/TEST-02-SYSTEMD/test.sh	2022-12-24 17:49:27.000000000 +0100
+++ dracut-059-busybox/test/TEST-02-SYSTEMD/test.sh	2023-07-28 10:33:04.210096830 +0200
@@ -22,7 +22,7 @@
         -append "panic=1 oops=panic softlockup_panic=1 systemd.crash_reboot root=LABEL=dracut rw loglevel=77 systemd.log_level=debug systemd.log_target=console rd.retry=3 rd.info console=ttyS0,115200n81 selinux=0 init=/sbin/init rd.shell=0 $DEBUGFAIL" \
         -initrd "$TESTDIR"/initramfs.testing || return 1
 
-    grep -U --binary-files=binary -F -m 1 -q dracut-root-block-success "$TESTDIR"/marker.img
+    grep -F -m 1 -q dracut-root-block-success "$TESTDIR"/marker.img
 }
 
 test_setup() {
@@ -62,7 +62,7 @@
         "${disk_args[@]}" \
         -append "root=/dev/fakeroot rw rootfstype=ext3 quiet console=ttyS0,115200n81 selinux=0" \
         -initrd "$TESTDIR"/initramfs.makeroot || return 1
-    grep -U --binary-files=binary -F -m 1 -q dracut-root-block-created "$TESTDIR"/marker.img || return 1
+    grep -F -m 1 -q dracut-root-block-created "$TESTDIR"/marker.img || return 1
     rm -- "$TESTDIR"/marker.img
 
     # systemd-analyze.sh calls man indirectly
diff -Naur dracut-059/test/TEST-03-USR-MOUNT/create-root.sh dracut-059-busybox/test/TEST-03-USR-MOUNT/create-root.sh
--- dracut-059/test/TEST-03-USR-MOUNT/create-root.sh	2022-12-24 17:49:27.000000000 +0100
+++ dracut-059-busybox/test/TEST-03-USR-MOUNT/create-root.sh	2023-07-28 10:38:33.125851024 +0200
@@ -23,7 +23,7 @@
 btrfs subvolume create /root/usr/usr
 umount /root/usr
 mount -t btrfs -o subvol=usr /dev/disk/by-id/ata-disk_usr /root/usr
-cp -a -t /root /source/*
+cp -a /source/* /root
 mkdir -p /root/run
 btrfs filesystem sync /root/usr
 btrfs filesystem sync /root
diff -Naur dracut-059/test/TEST-03-USR-MOUNT/test.sh dracut-059-busybox/test/TEST-03-USR-MOUNT/test.sh
--- dracut-059/test/TEST-03-USR-MOUNT/test.sh	2022-12-24 17:49:27.000000000 +0100
+++ dracut-059-busybox/test/TEST-03-USR-MOUNT/test.sh	2023-07-28 10:34:17.234710195 +0200
@@ -28,7 +28,7 @@
         -append "panic=1 oops=panic softlockup_panic=1 systemd.crash_reboot root=LABEL=dracut $client_opts loglevel=7 rd.retry=3 rd.info console=ttyS0,115200n81 selinux=0 rd.debug rd.shell=0 $DEBUGFAIL" \
         -initrd "$TESTDIR"/initramfs.testing || return 1
 
-    if ! grep -U --binary-files=binary -F -m 1 -q dracut-root-block-success "$TESTDIR"/marker.img; then
+    if ! grep -F -m 1 -q dracut-root-block-success "$TESTDIR"/marker.img; then
         echo "CLIENT TEST END: $test_name [FAILED]"
         return 1
     fi
@@ -84,7 +84,7 @@
         -append "root=/dev/dracut/root rw rootfstype=btrfs quiet console=ttyS0,115200n81 selinux=0" \
         -initrd "$TESTDIR"/initramfs.makeroot || return 1
 
-    if ! grep -U --binary-files=binary -F -m 1 -q dracut-root-block-created "$TESTDIR"/marker.img; then
+    if ! grep -F -m 1 -q dracut-root-block-created "$TESTDIR"/marker.img; then
         echo "Could not create root filesystem"
         return 1
     fi
diff -Naur dracut-059/test/TEST-04-FULL-SYSTEMD/create-root.sh dracut-059-busybox/test/TEST-04-FULL-SYSTEMD/create-root.sh
--- dracut-059/test/TEST-04-FULL-SYSTEMD/create-root.sh	2022-12-24 17:49:27.000000000 +0100
+++ dracut-059-busybox/test/TEST-04-FULL-SYSTEMD/create-root.sh	2023-07-28 10:38:49.622805655 +0200
@@ -23,7 +23,7 @@
 btrfs subvolume create /root/usr/usr
 umount /root/usr
 mount -t btrfs -o subvol=usr /dev/disk/by-id/ata-disk_usr /root/usr
-cp -a -t /root /source/*
+cp -a /source/* /root
 mkdir -p /root/run
 btrfs filesystem sync /root/usr
 btrfs filesystem sync /root
diff -Naur dracut-059/test/TEST-04-FULL-SYSTEMD/test.sh dracut-059-busybox/test/TEST-04-FULL-SYSTEMD/test.sh
--- dracut-059/test/TEST-04-FULL-SYSTEMD/test.sh	2022-12-24 17:49:27.000000000 +0100
+++ dracut-059-busybox/test/TEST-04-FULL-SYSTEMD/test.sh	2023-07-28 10:33:32.477259187 +0200
@@ -32,7 +32,7 @@
         -append "systemd.unit=testsuite.target systemd.mask=systemd-firstboot panic=1 oops=panic softlockup_panic=1 systemd.crash_reboot root=LABEL=dracut $client_opts rd.retry=3 console=ttyS0,115200n81 selinux=0 $DEBUGOUT rd.shell=0 $DEBUGFAIL" \
         -initrd "$TESTDIR"/initramfs.testing || return 1
 
-    if ! grep -U --binary-files=binary -F -m 1 -q dracut-root-block-success "$TESTDIR"/marker.img; then
+    if ! grep -F -m 1 -q dracut-root-block-success "$TESTDIR"/marker.img; then
         echo "CLIENT TEST END: $test_name [FAILED]"
         return 1
     fi
@@ -146,7 +146,7 @@
         -append "root=/dev/fakeroot rw rootfstype=btrfs quiet console=ttyS0,115200n81 selinux=0" \
         -initrd "$TESTDIR"/initramfs.makeroot || return 1
 
-    if ! grep -U --binary-files=binary -F -m 1 -q dracut-root-block-created "$TESTDIR"/marker.img; then
+    if ! grep -F -m 1 -q dracut-root-block-created "$TESTDIR"/marker.img; then
         echo "Could not create root filesystem"
         return 1
     fi
diff -Naur dracut-059/test/TEST-10-RAID/create-root.sh dracut-059-busybox/test/TEST-10-RAID/create-root.sh
--- dracut-059/test/TEST-10-RAID/create-root.sh	2022-12-24 17:49:27.000000000 +0100
+++ dracut-059-busybox/test/TEST-10-RAID/create-root.sh	2023-07-28 10:42:29.543307117 +0200
@@ -25,7 +25,7 @@
 mke2fs -L root /dev/dracut/root
 mkdir -p /sysroot
 mount /dev/dracut/root /sysroot
-cp -a -t /sysroot /source/*
+cp -a /source/* /sysroot
 mkdir -p /sysroot/run
 umount /sysroot
 lvm lvchange -a n /dev/dracut/root
diff -Naur dracut-059/test/TEST-10-RAID/test.sh dracut-059-busybox/test/TEST-10-RAID/test.sh
--- dracut-059/test/TEST-10-RAID/test.sh	2022-12-24 17:49:27.000000000 +0100
+++ dracut-059-busybox/test/TEST-10-RAID/test.sh	2023-07-28 10:35:18.399114427 +0200
@@ -22,7 +22,7 @@
         -append "panic=1 oops=panic softlockup_panic=1 systemd.crash_reboot root=/dev/dracut/root rd.auto rw rd.retry=10 console=ttyS0,115200n81 selinux=0 rd.shell=0 $DEBUGFAIL" \
         -initrd "$TESTDIR"/initramfs.testing || return 1
 
-    grep -U --binary-files=binary -F -m 1 -q dracut-root-block-success "$TESTDIR"/marker.img
+    grep -F -m 1 -q dracut-root-block-success "$TESTDIR"/marker.img
 }
 
 test_setup() {
@@ -100,7 +100,7 @@
         "${disk_args[@]}" \
         -append "root=/dev/cannotreach rw rootfstype=ext2 console=ttyS0,115200n81 selinux=0" \
         -initrd "$TESTDIR"/initramfs.makeroot || return 1
-    grep -U --binary-files=binary -F -m 1 -q dracut-root-block-created "$TESTDIR"/marker.img || return 1
+    grep -F -m 1 -q dracut-root-block-created "$TESTDIR"/marker.img || return 1
     eval "$(grep -F -a -m 1 ID_FS_UUID "$TESTDIR"/marker.img)"
 
     (
diff -Naur dracut-059/test/TEST-11-LVM/create-root.sh dracut-059-busybox/test/TEST-11-LVM/create-root.sh
--- dracut-059/test/TEST-11-LVM/create-root.sh	2022-12-24 17:49:27.000000000 +0100
+++ dracut-059-busybox/test/TEST-11-LVM/create-root.sh	2023-07-28 10:41:26.805547160 +0200
@@ -21,7 +21,7 @@
 mke2fs /dev/dracut/root
 mkdir -p /sysroot
 mount /dev/dracut/root /sysroot
-cp -a -t /sysroot /source/*
+cp -a /source/* /sysroot
 umount /sysroot
 lvm lvchange -a n /dev/dracut/root
 echo "dracut-root-block-created" | dd oflag=direct,dsync of=/dev/disk/by-id/ata-disk_marker
diff -Naur dracut-059/test/TEST-11-LVM/test.sh dracut-059-busybox/test/TEST-11-LVM/test.sh
--- dracut-059/test/TEST-11-LVM/test.sh	2022-12-24 17:49:27.000000000 +0100
+++ dracut-059-busybox/test/TEST-11-LVM/test.sh	2023-07-28 10:35:47.506290363 +0200
@@ -23,7 +23,7 @@
         -append "panic=1 oops=panic softlockup_panic=1 systemd.crash_reboot root=/dev/dracut/root rw rd.auto=1 quiet rd.retry=3 rd.info console=ttyS0,115200n81 selinux=0 rd.debug rd.shell=0 $DEBUGFAIL" \
         -initrd "$TESTDIR"/initramfs.testing || return 1
 
-    grep -U --binary-files=binary -F -m 1 -q dracut-root-block-success "$TESTDIR"/marker.img
+    grep -F -m 1 -q dracut-root-block-success "$TESTDIR"/marker.img
 }
 
 test_setup() {
@@ -100,7 +100,7 @@
         "${disk_args[@]}" \
         -append "root=/dev/fakeroot rw rootfstype=ext2 quiet console=ttyS0,115200n81 selinux=0" \
         -initrd "$TESTDIR"/initramfs.makeroot || return 1
-    grep -U --binary-files=binary -F -m 1 -q dracut-root-block-created "$TESTDIR"/marker.img || return 1
+    grep -F -m 1 -q dracut-root-block-created "$TESTDIR"/marker.img || return 1
 
     (
         # shellcheck disable=SC2031
diff -Naur dracut-059/test/TEST-12-RAID-DEG/create-root.sh dracut-059-busybox/test/TEST-12-RAID-DEG/create-root.sh
--- dracut-059/test/TEST-12-RAID-DEG/create-root.sh	2022-12-24 17:49:27.000000000 +0100
+++ dracut-059-busybox/test/TEST-12-RAID-DEG/create-root.sh	2023-07-28 10:40:12.927592411 +0200
@@ -25,7 +25,7 @@
 mke2fs -L root /dev/dracut/root
 mkdir -p /sysroot
 mount /dev/dracut/root /sysroot
-cp -a -t /sysroot /source/*
+cp -a /source/* /sysroot
 mkdir -p /sysroot/run
 umount /sysroot
 lvm lvchange -a n /dev/dracut/root
diff -Naur dracut-059/test/TEST-12-RAID-DEG/test.sh dracut-059-busybox/test/TEST-12-RAID-DEG/test.sh
--- dracut-059/test/TEST-12-RAID-DEG/test.sh	2022-12-24 17:49:27.000000000 +0100
+++ dracut-059-busybox/test/TEST-12-RAID-DEG/test.sh	2023-07-28 10:32:18.045953364 +0200
@@ -27,7 +27,7 @@
         -append "panic=1 oops=panic softlockup_panic=1 systemd.crash_reboot $* systemd.log_target=kmsg root=LABEL=root rw rd.retry=10 rd.info console=ttyS0,115200n81 log_buf_len=2M selinux=0 rd.shell=0 $DEBUGFAIL " \
         -initrd "$TESTDIR"/initramfs.testing
 
-    if ! grep -U --binary-files=binary -F -m 1 -q dracut-root-block-success "$TESTDIR"/marker.img; then
+    if ! grep -F -m 1 -q dracut-root-block-success "$TESTDIR"/marker.img; then
         echo "CLIENT TEST END: $* [FAIL]"
         return 1
     fi
@@ -131,11 +131,11 @@
         -append "root=/dev/fakeroot rw rootfstype=ext2 quiet console=ttyS0,115200n81 selinux=0" \
         -initrd "$TESTDIR"/initramfs.makeroot || return 1
 
-    grep -U --binary-files=binary -F -m 1 -q dracut-root-block-created "$TESTDIR"/marker.img || return 1
-    eval "$(grep -F --binary-files=text -m 1 MD_UUID "$TESTDIR"/marker.img)"
+    grep -F -m 1 -q dracut-root-block-created "$TESTDIR"/marker.img || return 1
+    eval "$(grep -F -m 1 MD_UUID "$TESTDIR"/marker.img)"
     eval "$(grep -F -a -m 1 ID_FS_UUID "$TESTDIR"/marker.img)"
     echo "$ID_FS_UUID" > "$TESTDIR"/luksuuid
-    eval "$(grep -F --binary-files=text -m 1 MD_UUID "$TESTDIR"/marker.img)"
+    eval "$(grep -F -m 1 MD_UUID "$TESTDIR"/marker.img)"
     echo "$MD_UUID" > "$TESTDIR"/mduuid
 
     (
diff -Naur dracut-059/test/TEST-13-ENC-RAID-LVM/create-root.sh dracut-059-busybox/test/TEST-13-ENC-RAID-LVM/create-root.sh
--- dracut-059/test/TEST-13-ENC-RAID-LVM/create-root.sh	2022-12-24 17:49:27.000000000 +0100
+++ dracut-059-busybox/test/TEST-13-ENC-RAID-LVM/create-root.sh	2023-07-28 10:39:59.714028615 +0200
@@ -31,7 +31,7 @@
 mke2fs /dev/dracut/root
 mkdir -p /sysroot
 mount /dev/dracut/root /sysroot
-cp -a -t /sysroot /source/*
+cp -a /source/* /sysroot
 umount /sysroot
 lvm lvchange -a n /dev/dracut/root
 mdadm -W /dev/md0 || :
diff -Naur dracut-059/test/TEST-13-ENC-RAID-LVM/test.sh dracut-059-busybox/test/TEST-13-ENC-RAID-LVM/test.sh
--- dracut-059/test/TEST-13-ENC-RAID-LVM/test.sh	2022-12-24 17:49:27.000000000 +0100
+++ dracut-059-busybox/test/TEST-13-ENC-RAID-LVM/test.sh	2023-07-28 10:32:48.883161273 +0200
@@ -28,7 +28,7 @@
         "${disk_args[@]}" \
         -append "panic=1 oops=panic softlockup_panic=1 systemd.crash_reboot root=/dev/dracut/root rw rd.auto rd.retry=20 console=ttyS0,115200n81 selinux=0 rd.debug rootwait $LUKSARGS rd.shell=0 $DEBUGFAIL" \
         -initrd "$TESTDIR"/initramfs.testing
-    grep -U --binary-files=binary -F -m 1 -q dracut-root-block-success "$TESTDIR"/marker.img || return 1
+    grep -F -m 1 -q dracut-root-block-success "$TESTDIR"/marker.img || return 1
     echo "CLIENT TEST END: [OK]"
 
     dd if=/dev/zero of="$TESTDIR"/marker.img bs=1MiB count=1
@@ -38,7 +38,7 @@
         "${disk_args[@]}" \
         -append "panic=1 oops=panic softlockup_panic=1 systemd.crash_reboot root=/dev/dracut/root rw quiet rd.auto rd.retry=20 rd.info console=ttyS0,115200n81 selinux=0 rd.debug  $DEBUGFAIL" \
         -initrd "$TESTDIR"/initramfs.testing
-    grep -U --binary-files=binary -F -m 1 -q dracut-root-block-success "$TESTDIR"/marker.img || return 1
+    grep -F -m 1 -q dracut-root-block-success "$TESTDIR"/marker.img || return 1
     echo "CLIENT TEST END: [OK]"
 
     dd if=/dev/zero of="$TESTDIR"/marker.img bs=1MiB count=1
@@ -48,7 +48,7 @@
         "${disk_args[@]}" \
         -append "panic=1 oops=panic softlockup_panic=1 systemd.crash_reboot root=/dev/dracut/root rw quiet rd.auto rd.retry=10 rd.info console=ttyS0,115200n81 selinux=0 rd.debug  $DEBUGFAIL rd.luks.uuid=failme" \
         -initrd "$TESTDIR"/initramfs.testing
-    grep -U --binary-files=binary -F -m 1 -q dracut-root-block-success "$TESTDIR"/marker.img && return 1
+    grep -F -m 1 -q dracut-root-block-success "$TESTDIR"/marker.img && return 1
     echo "CLIENT TEST END: [OK]"
 
     return 0
@@ -127,8 +127,8 @@
         "${disk_args[@]}" \
         -append "root=/dev/fakeroot rw rootfstype=ext2 quiet console=ttyS0,115200n81 selinux=0" \
         -initrd "$TESTDIR"/initramfs.makeroot || return 1
-    grep -U --binary-files=binary -F -m 1 -q dracut-root-block-created "$TESTDIR"/marker.img || return 1
-    cryptoUUIDS=$(grep -F --binary-files=text -m 3 ID_FS_UUID "$TESTDIR"/marker.img)
+    grep -F -m 1 -q dracut-root-block-created "$TESTDIR"/marker.img || return 1
+    cryptoUUIDS=$(grep -F -m 3 ID_FS_UUID "$TESTDIR"/marker.img)
     for uuid in $cryptoUUIDS; do
         eval "$uuid"
         printf ' rd.luks.uuid=luks-%s ' "$ID_FS_UUID"
diff -Naur dracut-059/test/TEST-14-IMSM/create-root.sh dracut-059-busybox/test/TEST-14-IMSM/create-root.sh
--- dracut-059/test/TEST-14-IMSM/create-root.sh	2022-12-24 17:49:27.000000000 +0100
+++ dracut-059-busybox/test/TEST-14-IMSM/create-root.sh	2023-07-28 10:39:04.493065182 +0200
@@ -62,7 +62,7 @@
 mke2fs -L root /dev/dracut/root
 mkdir -p /sysroot
 mount /dev/dracut/root /sysroot
-cp -a -t /sysroot /source/*
+cp -a /source/* /sysroot
 umount /sysroot
 lvm lvchange -a n /dev/dracut/root
 udevadm settle
diff -Naur dracut-059/test/TEST-14-IMSM/test.sh dracut-059-busybox/test/TEST-14-IMSM/test.sh
--- dracut-059/test/TEST-14-IMSM/test.sh	2022-12-24 17:49:27.000000000 +0100
+++ dracut-059-busybox/test/TEST-14-IMSM/test.sh	2023-07-28 10:33:54.894318776 +0200
@@ -24,7 +24,7 @@
         -append "panic=1 oops=panic softlockup_panic=1 systemd.crash_reboot $* root=LABEL=root rw debug rd.retry=5 rd.debug console=ttyS0,115200n81 selinux=0 rd.info rd.shell=0 $DEBUGFAIL" \
         -initrd "$TESTDIR"/initramfs.testing || return 1
 
-    if ! grep -U --binary-files=binary -F -m 1 -q dracut-root-block-success "$TESTDIR"/marker.img; then
+    if ! grep -F -m 1 -q dracut-root-block-success "$TESTDIR"/marker.img; then
         echo "CLIENT TEST END: $* [FAIL]"
         return 1
     fi
@@ -123,8 +123,8 @@
         "${disk_args[@]}" \
         -append "root=/dev/dracut/root rw rootfstype=ext2 quiet console=ttyS0,115200n81 selinux=0" \
         -initrd "$TESTDIR"/initramfs.makeroot || return 1
-    grep -U --binary-files=binary -F -m 1 -q dracut-root-block-created "$TESTDIR"/marker.img || return 1
-    eval "$(grep -F --binary-files=text -m 1 MD_UUID "$TESTDIR"/marker.img)"
+    grep -F -m 1 -q dracut-root-block-created "$TESTDIR"/marker.img || return 1
+    eval "$(grep -F -m 1 MD_UUID "$TESTDIR"/marker.img)"
 
     if [[ -z $MD_UUID ]]; then
         echo "Setup failed"
diff -Naur dracut-059/test/TEST-15-BTRFSRAID/create-root.sh dracut-059-busybox/test/TEST-15-BTRFSRAID/create-root.sh
--- dracut-059/test/TEST-15-BTRFSRAID/create-root.sh	2022-12-24 17:49:27.000000000 +0100
+++ dracut-059-busybox/test/TEST-15-BTRFSRAID/create-root.sh	2023-07-28 10:42:51.777027789 +0200
@@ -20,7 +20,7 @@
 
 mkdir -p /sysroot
 mount -t btrfs /dev/disk/by-id/ata-disk_raid4 /sysroot
-cp -a -t /sysroot /source/*
+cp -a /source/* /sysroot
 umount /sysroot
 
 echo "dracut-root-block-created" | dd oflag=direct,dsync of=/dev/disk/by-id/ata-disk_marker
diff -Naur dracut-059/test/TEST-15-BTRFSRAID/test.sh dracut-059-busybox/test/TEST-15-BTRFSRAID/test.sh
--- dracut-059/test/TEST-15-BTRFSRAID/test.sh	2022-12-24 17:49:27.000000000 +0100
+++ dracut-059-busybox/test/TEST-15-BTRFSRAID/test.sh	2023-07-28 10:34:54.378693987 +0200
@@ -21,7 +21,7 @@
         "${disk_args[@]}" \
         -append "panic=1 oops=panic softlockup_panic=1 systemd.crash_reboot root=LABEL=root rw rd.retry=3 rd.info console=ttyS0,115200n81 selinux=0 rd.shell=0 $DEBUGFAIL" \
         -initrd "$TESTDIR"/initramfs.testing
-    grep -U --binary-files=binary -F -m 1 -q dracut-root-block-success "$TESTDIR"/marker.img || return 1
+    grep -F -m 1 -q dracut-root-block-success "$TESTDIR"/marker.img || return 1
 }
 
 test_setup() {
@@ -107,7 +107,7 @@
         -append "root=/dev/fakeroot rw quiet console=ttyS0,115200n81 selinux=0" \
         -initrd "$TESTDIR"/initramfs.makeroot || return 1
 
-    grep -U --binary-files=binary -F -m 1 -q dracut-root-block-created "$TESTDIR"/marker.img || return 1
+    grep -F -m 1 -q dracut-root-block-created "$TESTDIR"/marker.img || return 1
 
     (
         # shellcheck disable=SC2031
diff -Naur dracut-059/test/TEST-16-DMSQUASH/create-root.sh dracut-059-busybox/test/TEST-16-DMSQUASH/create-root.sh
--- dracut-059/test/TEST-16-DMSQUASH/create-root.sh	2022-12-24 17:49:27.000000000 +0100
+++ dracut-059-busybox/test/TEST-16-DMSQUASH/create-root.sh	2023-07-28 10:40:36.761341381 +0200
@@ -23,7 +23,7 @@
 mkdir -p /root
 mount /dev/disk/by-id/ata-disk_root-part1 /root
 mkdir -p /root/run /root/testdir
-cp -a -t /root /source/*
+cp -a /source/* /root
 echo "Creating squashfs"
 mksquashfs /source /root/testdir/rootfs.img -quiet
 umount /root
diff -Naur dracut-059/test/TEST-16-DMSQUASH/test.sh dracut-059-busybox/test/TEST-16-DMSQUASH/test.sh
--- dracut-059/test/TEST-16-DMSQUASH/test.sh	2022-12-24 17:49:27.000000000 +0100
+++ dracut-059-busybox/test/TEST-16-DMSQUASH/test.sh	2023-07-28 10:31:31.628471313 +0200
@@ -33,7 +33,7 @@
         -append "rd.live.image rd.live.overlay.overlayfs=1 rd.live.dir=testdir root=LABEL=dracut console=ttyS0,115200n81 quiet selinux=0 rd.info rd.shell=0 panic=1 oops=panic softlockup_panic=1 $DEBUGFAIL" \
         -initrd "$TESTDIR"/initramfs.testing
 
-    grep -U --binary-files=binary -F -m 1 -q dracut-root-block-success -- "$TESTDIR"/marker.img || return 1
+    grep -F -m 1 -q dracut-root-block-success -- "$TESTDIR"/marker.img || return 1
 
     rootPartitions=$(sfdisk -d "$TESTDIR"/root.img | grep -c 'root\.img[0-9]')
     [ "$rootPartitions" -eq 1 ] || return 1
@@ -53,7 +53,7 @@
 
         # Verify that the string "dracut-autooverlay-success" occurs in the second partition in the image file.
         dd if="$TESTDIR"/root.img bs=1MiB skip=80 status=none \
-            | grep -U --binary-files=binary -F -m 1 -q dracut-autooverlay-success
+            | grep -F -m 1 -q dracut-autooverlay-success
     ) || return 1
 }
 
@@ -95,7 +95,7 @@
         -append "root=/dev/dracut/root rw rootfstype=ext4 quiet console=ttyS0,115200n81 selinux=0" \
         -initrd "$TESTDIR"/initramfs.makeroot || return 1
 
-    if ! grep -U --binary-files=binary -F -m 1 -q dracut-root-block-created "$TESTDIR"/marker.img; then
+    if ! grep -F -m 1 -q dracut-root-block-created "$TESTDIR"/marker.img; then
         echo "Could not create root filesystem"
         return 1
     fi
diff -Naur dracut-059/test/TEST-17-LVM-THIN/create-root.sh dracut-059-busybox/test/TEST-17-LVM-THIN/create-root.sh
--- dracut-059/test/TEST-17-LVM-THIN/create-root.sh	2022-12-24 17:49:27.000000000 +0100
+++ dracut-059-busybox/test/TEST-17-LVM-THIN/create-root.sh	2023-07-28 10:41:16.422032836 +0200
@@ -22,7 +22,7 @@
 mke2fs /dev/dracut/root
 mkdir -p /sysroot
 mount /dev/dracut/root /sysroot
-cp -a -t /sysroot /source/*
+cp -a /source/* /sysroot
 umount /sysroot
 lvm lvchange -a n /dev/dracut/root
 
diff -Naur dracut-059/test/TEST-17-LVM-THIN/test.sh dracut-059-busybox/test/TEST-17-LVM-THIN/test.sh
--- dracut-059/test/TEST-17-LVM-THIN/test.sh	2022-12-24 17:49:27.000000000 +0100
+++ dracut-059-busybox/test/TEST-17-LVM-THIN/test.sh	2023-07-28 10:36:02.039877899 +0200
@@ -21,7 +21,7 @@
         "${disk_args[@]}" \
         -append "panic=1 oops=panic softlockup_panic=1 systemd.crash_reboot root=/dev/dracut/root rw rd.auto=1 quiet rd.retry=3 rd.info console=ttyS0,115200n81 selinux=0 rd.debug rd.shell=0 $DEBUGFAIL" \
         -initrd "$TESTDIR"/initramfs.testing || return 1
-    grep -U --binary-files=binary -F -m 1 -q dracut-root-block-success "$TESTDIR"/marker.img || return 1
+    grep -F -m 1 -q dracut-root-block-success "$TESTDIR"/marker.img || return 1
 }
 
 test_setup() {
@@ -98,7 +98,7 @@
         "${disk_args[@]}" \
         -append "root=/dev/fakeroot rw rootfstype=ext2 quiet console=ttyS0,115200n81 selinux=0" \
         -initrd "$TESTDIR"/initramfs.makeroot || return 1
-    grep -U --binary-files=binary -F -m 1 -q dracut-root-block-created "$TESTDIR"/marker.img || return 1
+    grep -F -m 1 -q dracut-root-block-created "$TESTDIR"/marker.img || return 1
 
     (
         # shellcheck disable=SC2031
diff -Naur dracut-059/test/TEST-20-NFS/create-root.sh dracut-059-busybox/test/TEST-20-NFS/create-root.sh
--- dracut-059/test/TEST-20-NFS/create-root.sh	2022-12-24 17:49:27.000000000 +0100
+++ dracut-059-busybox/test/TEST-20-NFS/create-root.sh	2023-07-28 10:40:25.931152518 +0200
@@ -15,7 +15,7 @@
 mkfs.ext3 -L dracut /dev/disk/by-id/ata-disk_root
 mkdir -p /root
 mount /dev/disk/by-id/ata-disk_root /root
-cp -a -t /root /source/*
+cp -a /source/* /root
 mkdir -p /root/run
 umount /root
 echo "dracut-root-block-created" | dd oflag=direct,dsync of=/dev/disk/by-id/ata-disk_marker
diff -Naur dracut-059/test/TEST-20-NFS/test.sh dracut-059-busybox/test/TEST-20-NFS/test.sh
--- dracut-059/test/TEST-20-NFS/test.sh	2022-12-24 17:49:27.000000000 +0100
+++ dracut-059-busybox/test/TEST-20-NFS/test.sh	2023-07-28 10:31:49.172112922 +0200
@@ -75,7 +75,7 @@
         -initrd "$TESTDIR"/initramfs.testing
 
     # shellcheck disable=SC2181
-    if [[ $? -ne 0 ]] || ! grep -U --binary-files=binary -F -m 1 -q nfs-OK "$TESTDIR"/marker.img; then
+    if [[ $? -ne 0 ]] || ! grep -F -m 1 -q nfs-OK "$TESTDIR"/marker.img; then
         echo "CLIENT TEST END: $test_name [FAILED - BAD EXIT]"
         return 1
     fi
@@ -381,7 +381,7 @@
         "${disk_args[@]}" \
         -append "root=/dev/dracut/root rw rootfstype=ext3 quiet console=ttyS0,115200n81 selinux=0" \
         -initrd "$TESTDIR"/initramfs.makeroot || return 1
-    grep -U --binary-files=binary -F -m 1 -q dracut-root-block-created "$TESTDIR"/marker.img || return 1
+    grep -F -m 1 -q dracut-root-block-created "$TESTDIR"/marker.img || return 1
 
     # Make an overlay with needed tools for the test harness
     (
diff -Naur dracut-059/test/TEST-30-ISCSI/create-client-root.sh dracut-059-busybox/test/TEST-30-ISCSI/create-client-root.sh
--- dracut-059/test/TEST-30-ISCSI/create-client-root.sh	2022-12-24 17:49:27.000000000 +0100
+++ dracut-059-busybox/test/TEST-30-ISCSI/create-client-root.sh	2023-07-28 10:43:32.794408900 +0200
@@ -15,7 +15,7 @@
 mkfs.ext3 -j -L singleroot -F /dev/disk/by-id/ata-disk_singleroot
 mkdir -p /sysroot
 mount /dev/disk/by-id/ata-disk_singleroot /sysroot
-cp -a -t /sysroot /source/*
+cp -a /source/* /sysroot
 umount /sysroot
 mdadm --create /dev/md0 --run --auto=yes --level=stripe --raid-devices=2 /dev/disk/by-id/ata-disk_raid0-1 /dev/disk/by-id/ata-disk_raid0-2
 mdadm -W /dev/md0 || :
@@ -25,7 +25,7 @@
 lvm vgchange -ay
 mkfs.ext3 -j -L sysroot /dev/dracut/root
 mount /dev/dracut/root /sysroot
-cp -a -t /sysroot /source/*
+cp -a /source/* /sysroot
 umount /sysroot
 lvm lvchange -a n /dev/dracut/root
 echo "dracut-root-block-created" | dd oflag=direct,dsync of=/dev/disk/by-id/ata-disk_marker
diff -Naur dracut-059/test/TEST-30-ISCSI/create-server-root.sh dracut-059-busybox/test/TEST-30-ISCSI/create-server-root.sh
--- dracut-059/test/TEST-30-ISCSI/create-server-root.sh	2022-12-24 17:49:27.000000000 +0100
+++ dracut-059-busybox/test/TEST-30-ISCSI/create-server-root.sh	2023-07-28 10:43:44.041271427 +0200
@@ -13,7 +13,7 @@
 mkfs.ext3 -L dracut /dev/disk/by-id/ata-disk_root
 mkdir -p /root
 mount /dev/disk/by-id/ata-disk_root /root
-cp -a -t /root /source/*
+cp -a /source/* /root
 mkdir -p /root/run
 umount /root
 echo "dracut-root-block-created" | dd oflag=direct,dsync of=/dev/disk/by-id/ata-disk_marker
diff -Naur dracut-059/test/TEST-30-ISCSI/test.sh dracut-059-busybox/test/TEST-30-ISCSI/test.sh
--- dracut-059/test/TEST-30-ISCSI/test.sh	2022-12-24 17:49:27.000000000 +0100
+++ dracut-059-busybox/test/TEST-30-ISCSI/test.sh	2023-07-28 10:34:32.098303864 +0200
@@ -70,7 +70,7 @@
         -initrd "$TESTDIR"/initramfs.testing
 
     # shellcheck disable=SC2181
-    if [[ $? -ne 0 ]] || ! grep -U --binary-files=binary -F -m 1 -q iscsi-OK "$TESTDIR"/marker.img; then
+    if [[ $? -ne 0 ]] || ! grep -F -m 1 -q iscsi-OK "$TESTDIR"/marker.img; then
         echo "CLIENT TEST END: $test_name [FAILED - BAD EXIT]"
         return 1
     fi
@@ -203,7 +203,7 @@
         "${disk_args[@]}" \
         -append "root=/dev/fakeroot rw rootfstype=ext3 quiet console=ttyS0,115200n81 selinux=0" \
         -initrd "$TESTDIR"/initramfs.makeroot || return 1
-    grep -U --binary-files=binary -F -m 1 -q dracut-root-block-created "$TESTDIR"/marker.img || return 1
+    grep -F -m 1 -q dracut-root-block-created "$TESTDIR"/marker.img || return 1
     rm -- "$TESTDIR"/marker.img
 
     # shellcheck disable=SC2031
@@ -291,7 +291,7 @@
         "${disk_args[@]}" \
         -append "root=/dev/dracut/root rw rootfstype=ext3 quiet console=ttyS0,115200n81 selinux=0" \
         -initrd "$TESTDIR"/initramfs.makeroot || return 1
-    grep -U --binary-files=binary -F -m 1 -q dracut-root-block-created "$TESTDIR"/marker.img || return 1
+    grep -F -m 1 -q dracut-root-block-created "$TESTDIR"/marker.img || return 1
     rm -- "$TESTDIR"/marker.img
 
     # Make an overlay with needed tools for the test harness
diff -Naur dracut-059/test/TEST-35-ISCSI-MULTI/create-client-root.sh dracut-059-busybox/test/TEST-35-ISCSI-MULTI/create-client-root.sh
--- dracut-059/test/TEST-35-ISCSI-MULTI/create-client-root.sh	2022-12-24 17:49:27.000000000 +0100
+++ dracut-059-busybox/test/TEST-35-ISCSI-MULTI/create-client-root.sh	2023-07-28 10:42:02.266165167 +0200
@@ -15,7 +15,7 @@
 mkfs.ext3 -j -L singleroot -F /dev/disk/by-id/ata-disk_singleroot
 mkdir -p /sysroot
 mount /dev/disk/by-id/ata-disk_singleroot /sysroot
-cp -a -t /sysroot /source/*
+cp -a /source/* /sysroot
 umount /sysroot
 mdadm --create /dev/md0 --run --auto=yes --level=stripe --raid-devices=2 /dev/disk/by-id/ata-disk_raid0-1 /dev/disk/by-id/ata-disk_raid0-2
 mdadm -W /dev/md0 || :
@@ -25,7 +25,7 @@
 lvm vgchange -ay
 mkfs.ext3 -j -L sysroot /dev/dracut/root
 mount /dev/dracut/root /sysroot
-cp -a -t /sysroot /source/*
+cp -a /source/* /sysroot
 umount /sysroot
 lvm lvchange -a n /dev/dracut/root
 echo "dracut-root-block-created" | dd oflag=direct,dsync of=/dev/disk/by-id/ata-disk_marker
diff -Naur dracut-059/test/TEST-35-ISCSI-MULTI/create-server-root.sh dracut-059-busybox/test/TEST-35-ISCSI-MULTI/create-server-root.sh
--- dracut-059/test/TEST-35-ISCSI-MULTI/create-server-root.sh	2022-12-24 17:49:27.000000000 +0100
+++ dracut-059-busybox/test/TEST-35-ISCSI-MULTI/create-server-root.sh	2023-07-28 10:41:04.975166625 +0200
@@ -13,7 +13,7 @@
 mkfs.ext3 -L dracut /dev/disk/by-id/ata-disk_root
 mkdir -p /root
 mount /dev/disk/by-id/ata-disk_root /root
-cp -a -t /root /source/*
+cp -a /source/* /root
 mkdir -p /root/run
 umount /root
 echo "dracut-root-block-created" | dd oflag=direct,dsync of=/dev/disk/by-id/ata-disk_marker
diff -Naur dracut-059/test/TEST-35-ISCSI-MULTI/test.sh dracut-059-busybox/test/TEST-35-ISCSI-MULTI/test.sh
--- dracut-059/test/TEST-35-ISCSI-MULTI/test.sh	2022-12-24 17:49:27.000000000 +0100
+++ dracut-059-busybox/test/TEST-35-ISCSI-MULTI/test.sh	2023-07-28 10:36:15.340110493 +0200
@@ -66,7 +66,7 @@
         -net socket,connect=127.0.0.1:12331 \
         -append "panic=1 oops=panic softlockup_panic=1 systemd.crash_reboot rw rd.auto rd.retry=50 console=ttyS0,115200n81 selinux=0 rd.debug=0 rd.shell=0 $DEBUGFAIL $*" \
         -initrd "$TESTDIR"/initramfs.testing
-    if ! grep -U --binary-files=binary -F -m 1 -q iscsi-OK "$TESTDIR"/marker.img; then
+    if ! grep -F -m 1 -q iscsi-OK "$TESTDIR"/marker.img; then
         echo "CLIENT TEST END: $test_name [FAILED - BAD EXIT]"
         return 1
     fi
@@ -215,7 +215,7 @@
         "${disk_args[@]}" \
         -append "root=/dev/fakeroot rw rootfstype=ext3 quiet console=ttyS0,115200n81 selinux=0" \
         -initrd "$TESTDIR"/initramfs.makeroot || return 1
-    grep -U --binary-files=binary -F -m 1 -q dracut-root-block-created "$TESTDIR"/marker.img || return 1
+    grep -F -m 1 -q dracut-root-block-created "$TESTDIR"/marker.img || return 1
     rm -- "$TESTDIR"/marker.img
 
     # shellcheck disable=SC2031
@@ -303,7 +303,7 @@
         "${disk_args[@]}" \
         -append "root=/dev/dracut/root rw rootfstype=ext3 quiet console=ttyS0,115200n81 selinux=0" \
         -initrd "$TESTDIR"/initramfs.makeroot || return 1
-    grep -U --binary-files=binary -F -m 1 -q dracut-root-block-created "$TESTDIR"/marker.img || return 1
+    grep -F -m 1 -q dracut-root-block-created "$TESTDIR"/marker.img || return 1
     rm -- "$TESTDIR"/marker.img
 
     # Make an overlay with needed tools for the test harness
diff -Naur dracut-059/test/TEST-40-NBD/create-client-root.sh dracut-059-busybox/test/TEST-40-NBD/create-client-root.sh
--- dracut-059/test/TEST-40-NBD/create-client-root.sh	2022-12-24 17:49:27.000000000 +0100
+++ dracut-059-busybox/test/TEST-40-NBD/create-client-root.sh	2023-07-28 10:41:49.165936874 +0200
@@ -14,7 +14,7 @@
 mkfs.ext3 -L dracut /dev/disk/by-id/ata-disk_root
 mkdir -p /root
 mount /dev/disk/by-id/ata-disk_root /root
-cp -a -t /root /source/*
+cp -a /source/* /root
 mkdir -p /root/run
 umount /root
 {
diff -Naur dracut-059/test/TEST-40-NBD/create-encrypted-root.sh dracut-059-busybox/test/TEST-40-NBD/create-encrypted-root.sh
--- dracut-059/test/TEST-40-NBD/create-encrypted-root.sh	2022-12-24 17:49:27.000000000 +0100
+++ dracut-059-busybox/test/TEST-40-NBD/create-encrypted-root.sh	2023-07-28 10:41:38.455750218 +0200
@@ -24,7 +24,7 @@
 mkfs.ext3 -L dracut -j /dev/dracut/root
 mkdir -p /sysroot
 mount /dev/dracut/root /sysroot
-cp -a -t /sysroot /source/*
+cp -a /source/* /sysroot
 umount /sysroot
 sleep 1
 lvm lvchange -a n /dev/dracut/root
diff -Naur dracut-059/test/TEST-40-NBD/create-server-root.sh dracut-059-busybox/test/TEST-40-NBD/create-server-root.sh
--- dracut-059/test/TEST-40-NBD/create-server-root.sh	2022-12-24 17:49:27.000000000 +0100
+++ dracut-059-busybox/test/TEST-40-NBD/create-server-root.sh	2023-07-28 10:42:13.233022933 +0200
@@ -15,7 +15,7 @@
 mkfs.ext3 -L dracut /dev/disk/by-id/ata-disk_root
 mkdir -p /root
 mount /dev/disk/by-id/ata-disk_root /root
-cp -a -t /root /source/*
+cp -a /source/* /root
 mkdir -p /root/run
 umount /root
 {
diff -Naur dracut-059/test/TEST-40-NBD/test.sh dracut-059-busybox/test/TEST-40-NBD/test.sh
--- dracut-059/test/TEST-40-NBD/test.sh	2022-12-24 17:49:27.000000000 +0100
+++ dracut-059-busybox/test/TEST-40-NBD/test.sh	2023-07-28 10:35:35.212741965 +0200
@@ -89,7 +89,7 @@
         -initrd "$TESTDIR"/initramfs.testing
 
     # shellcheck disable=SC2181
-    if [[ $? -ne 0 ]] || ! grep -U --binary-files=binary -F -m 1 -q nbd-OK "$TESTDIR"/marker.img; then
+    if [[ $? -ne 0 ]] || ! grep -F -m 1 -q nbd-OK "$TESTDIR"/marker.img; then
         echo "CLIENT TEST END: $test_name [FAILED - BAD EXIT]"
         return 1
     fi
@@ -267,7 +267,7 @@
         "${disk_args[@]}" \
         -append "root=/dev/fakeroot rw quiet console=ttyS0,115200n81 selinux=0" \
         -initrd "$TESTDIR"/initramfs.makeroot || return 1
-    grep -U --binary-files=binary -F -m 1 -q dracut-root-block-created "$TESTDIR"/marker.img || return 1
+    grep -F -m 1 -q dracut-root-block-created "$TESTDIR"/marker.img || return 1
     grep -F -a -m 1 ID_FS_UUID "$TESTDIR"/marker.img > "$TESTDIR"/luks.uuid
 }
 
@@ -347,7 +347,7 @@
         "${disk_args[@]}" \
         -append "root=/dev/dracut/root rw rootfstype=ext3 quiet console=ttyS0,115200n81 selinux=0" \
         -initrd "$TESTDIR"/initramfs.makeroot || return 1
-    grep -U --binary-files=binary -F -m 1 -q dracut-root-block-created "$TESTDIR"/marker.img || return 1
+    grep -F -m 1 -q dracut-root-block-created "$TESTDIR"/marker.img || return 1
     rm -fr "$TESTDIR"/overlay
 }
 
@@ -446,7 +446,7 @@
         "${disk_args[@]}" \
         -append "root=/dev/dracut/root rw rootfstype=ext3 quiet console=ttyS0,115200n81 selinux=0" \
         -initrd "$TESTDIR"/initramfs.makeroot || return 1
-    grep -U --binary-files=binary -F -m 1 -q dracut-root-block-created "$TESTDIR"/marker.img || return 1
+    grep -F -m 1 -q dracut-root-block-created "$TESTDIR"/marker.img || return 1
     rm -fr "$TESTDIR"/overlay
 }
 
diff -Naur dracut-059/test/TEST-50-MULTINIC/create-root.sh dracut-059-busybox/test/TEST-50-MULTINIC/create-root.sh
--- dracut-059/test/TEST-50-MULTINIC/create-root.sh	2022-12-24 17:49:27.000000000 +0100
+++ dracut-059-busybox/test/TEST-50-MULTINIC/create-root.sh	2023-07-28 10:39:28.586818942 +0200
@@ -15,7 +15,7 @@
 mkfs.ext3 -L dracut /dev/disk/by-id/ata-disk_root
 mkdir -p /root
 mount /dev/disk/by-id/ata-disk_root /root
-cp -a -t /root /source/*
+cp -a /source/* /root
 mkdir -p /root/run
 umount /root
 echo "dracut-root-block-created" | dd oflag=direct,dsync of=/dev/disk/by-id/ata-disk_marker
diff -Naur dracut-059/test/TEST-50-MULTINIC/test.sh dracut-059-busybox/test/TEST-50-MULTINIC/test.sh
--- dracut-059/test/TEST-50-MULTINIC/test.sh	2022-12-24 17:49:27.000000000 +0100
+++ dracut-059-busybox/test/TEST-50-MULTINIC/test.sh	2023-07-28 10:33:16.100305368 +0200
@@ -328,7 +328,7 @@
         "${disk_args[@]}" \
         -append "root=/dev/dracut/root rw rootfstype=ext3 quiet console=ttyS0,115200n81 selinux=0" \
         -initrd "$TESTDIR"/initramfs.makeroot || return 1
-    grep -U --binary-files=binary -F -m 1 -q dracut-root-block-created "$TESTDIR"/marker.img || return 1
+    grep -F -m 1 -q dracut-root-block-created "$TESTDIR"/marker.img || return 1
 
     # Make an overlay with needed tools for the test harness
     (
diff -Naur dracut-059/test/TEST-60-BONDBRIDGEVLANIFCFG/create-root.sh dracut-059-busybox/test/TEST-60-BONDBRIDGEVLANIFCFG/create-root.sh
--- dracut-059/test/TEST-60-BONDBRIDGEVLANIFCFG/create-root.sh	2022-12-24 17:49:27.000000000 +0100
+++ dracut-059-busybox/test/TEST-60-BONDBRIDGEVLANIFCFG/create-root.sh	2023-07-28 10:43:02.510548098 +0200
@@ -20,7 +20,7 @@
 mkfs.ext3 -L dracut /dev/sda2
 mkdir -p /root
 mount /dev/sda2 /root
-cp -a -t /root /source/*
+cp -a /source/* /root
 mkdir -p /root/run
 umount /root
 echo "dracut-root-block-created" | dd oflag=direct,dsync of=/dev/sda1
diff -Naur dracut-059/test/TEST-60-BONDBRIDGEVLANIFCFG/test.sh dracut-059-busybox/test/TEST-60-BONDBRIDGEVLANIFCFG/test.sh
--- dracut-059/test/TEST-60-BONDBRIDGEVLANIFCFG/test.sh	2022-12-24 17:49:27.000000000 +0100
+++ dracut-059-busybox/test/TEST-60-BONDBRIDGEVLANIFCFG/test.sh	2023-07-28 10:34:42.121812722 +0200
@@ -346,7 +346,7 @@
         -drive format=raw,index=0,media=disk,file="$TESTDIR"/server.ext3 \
         -append "root=/dev/dracut/root rw rootfstype=ext3 quiet console=ttyS0,115200n81 selinux=0" \
         -initrd "$TESTDIR"/initramfs.makeroot || return 1
-    grep -U --binary-files=binary -F -m 1 -q dracut-root-block-created "$TESTDIR"/server.ext3 || return 1
+    grep -F -m 1 -q dracut-root-block-created "$TESTDIR"/server.ext3 || return 1
     rm -fr "$TESTDIR"/overlay
 
     # Make an overlay with needed tools for the test harness
